<?php
class importorderformModuleFrontController extends ModuleFrontController
{
	/**
	 * @return void
	 */
    public function __construct()
    {
        parent::__construct();
        //$this->context = Context::getContext();
    }

	/**
	 * @return void
	 */
    public function initContent()
    {
        parent::initContent();

        // TODO Cestu nastavit jinak nez natvrdo!
        $this->context->controller->addCss('modules/importorder/css/importorder.css');
        $this->context->controller->addJS('modules/importorder/js/importorder.js');

        $this->context->smarty->assign(array(
			'form_url' => $this->context->link->getModuleLink('importorder', 'form')
		));
		//'token' => $token,
		//'ajax' => ((isset($ajax) && (int)$ajax == 1) ? '1' : '0'),

		if (filter_input(INPUT_POST, 'importorder_form_submit')) {
			if (!$this->processUpload()) {
				$this->context->smarty->assign('message', $this->module->l('Uploading of file with order failed!'));
			}
		}
		else if(filter_input(INPUT_GET, 'importorder_cancel')) {
			$this->context->smarty->assign('listing_cancelled', true);
		}

        $this->setTemplate('form.tpl');
    }

	/**
	 * @return boolean
	 */
    protected function processUpload()
    {
		if (!isset($_FILES['importorder_form_upload'])) {
			$this->context->smarty->assign(array(
				'message' => $this->module->l('No file was uploaded!')
			));
			return false;
		}

		$data_raw = file($_FILES['importorder_form_upload']['tmp_name']);
		if (count($data_raw) == 0) {
			$this->context->smarty->assign(array(
				'message' => $this->module->l('Empty file uploaded!')
			));
			return false;
		}

		// TODO save into db : user id | backup | datetime
		//$backup = join(PHP_EOL, $data_raw);

		$data_arr = array_map('str_getcsv', $data_raw);
		$price_all = 0;
		$listing = array();

		foreach ($data_arr as $row) {
			// Pozn. Nakonec jsem zakomentoval, i když teoreticky by to tu být mohlo...
			//if (count($data_row) != 2) {
			//	continue;
			//}
			// $data_row should contains array([0] => $product_code, [2] => $count)
			$lrow = array(
				'code' => $row[0],
				'count' => (int)$row[1],
				'product' => false
			);

			$product = $this->findProduct($row[0]);
			$dis = !($product instanceof Product);
			$price = $dis ?: $product->getPrice();
			$price_total = $dis ?: $price * $lrow['count'];
			$price_all += $dis ? 0 : $price_total;
			$q_avail = $dis ?: StockAvailable::getQuantityAvailableByProduct($product->id, 0);
			$q_order = ($q_avail > $lrow['count']) ? $lrow['count'] : $q_avail;
			$q_cut = ($q_order == 0) ? $lrow['count'] : $lrow['count'] - $q_avail;

			if (!$dis) {
				$lrow['product'] = array(
					'id' => $product->id,
					'link' => $product->getLink(),
					'name' => $product->name[1],
					'price' => Tools::displayPrice($price),
					'price_total' => Tools::displayPrice($price_total),
					'q_avail' => $q_avail,
					'q_order' => $q_order,
					'q_cut' => $q_cut
				);
			}

			$listing[] = $lrow;
		}

		$this->context->smarty->assign('price_all', Tools::displayPrice($price_all));
		$this->context->smarty->assign('listing', $listing);

		return true;
    }

	/**
	 * @param string $code
	 * @return Product|NULL
	 */
	protected function findProduct($code)
	{
		$ident = Configuration::get(ImportOrder::PREF_IDENT);
		$id_product = (int)Db::getInstance()->getValue(
			'SELECT id_product FROM '._DB_PREFIX_.'product WHERE '.$ident.' = \''.pSQL($code).'\''
		);

        return $id_product ? new Product($id_product, true) : null;
	}
}
