<!-- [Quick Order]: form -->
<div id="importorder_form" class="block">
	<div class="header">
		<h2>{l s='Quick Order' mod='importorder'}</h2>
	</div>
	<div class="form">
		<div class="form_desc">
			<p>{l s='Here you can upload CSV file for creating of new quick order.' mod='importorder'}</p>
		</div>
		<form action="{$form_url}" method="post" enctype="multipart/form-data">
			<fieldset class="fieldset">
				<legend>{l s='Upload CSV file' mod='importorder'}</legend>
				<div class="fieldset-row">
					<label for="importorder_form_upload">
						{l s='Choose file' mod='importorder'}
					</label>
					<input type="file" id="importorder_form_upload" name="importorder_form_upload"/>
					<p class="description">
						{l s='Uploaded CSV files should have values encapsulated by double quotes and separated by comma. The first column represents product\'s code, the second represents count to order. Each row for one product you want to order.' mod='importorder'}
					</p>
					{if $message}
					<p class="message">
						{$message}
					</p>
					{/if}
				</div>
				<div class="fieldset-row">
					<input type="submit" id="importorder_form_submit" name="importorder_form_submit" class="button" value="{l s='Upload file' mod='importorder'}"/>
				</div>
			</fieldset>
		</form>
	</div>
	{if $listing}
	<div class="listing">
		<h3>{l s='' mod='importorder'}</h3>
		<form action="{$form_url}" method="post">
			<table class="listing_table">
				<thead>
					<tr>
						<th scope="col" rowspan="2" class="control">
							{* TODO <input type="checkbox" id="importorder_listing_cb_all"/> *}
						</th>
						<th scope="col" rowspan="2">{l s='Ident.' mod='importorder'}</th>
						<th scope="col" rowspan="2">{l s='Product' mod='importorder'}</th>
						<th scope="col" rowspan="2">{l s='Price' mod='importorder'}</th>
						<th scope="col" colspan="3" class="count">{l s='Count' mod='importorder'}</th>
						<th scope="col" rowspan="2">{l s='Total price' mod='importorder'}</th>
					</tr>
					<tr>
						<th scope="col">{l s='On stock' mod='importorder'}</th>
						<th scope="col">{l s='Requested' mod='importorder'}</th>
						<th scope="col">{l s='Ordered' mod='importorder'}</th>
					</tr>
				</thead>
				<tbody>
				{foreach $listing as $row}
					<tr>
						<th scope="row" class="control">
							{if $row['product']}
							<input type="hidden" name="importorder_listing_pid[]" value="{$row['product']['id']}"/>
							<input type="hidden" name="importorder_listing_code[]" value="{$row['code']}"/>
							<input type="hidden" name="importorder_listing_count[]" value="{$row['count']}"/>
							<input type="checkbox" name="importorder_listing_cb[]" checked="checked"/>
							{else}
							<input type="checkbox" name="importorder_listing_cb[]" disabled="disabled"/>
							{/if}
						</th>
						<td class="code">{$row['code']}</td>
						<td class="product">
							{if $row['product']}
							<a href="{$row['product']['link']}">{$row['product']['name']}</a>
							{else}
							<em>{l s='Product was not found.' mod='importorder'}</em>
							{/if}
						</td>
						<td class="price">{$row['product']['price']}</td>
						<td class="count-avail">{$row['product']['q_avail']}</td>
						<td class="count-need">{$row['count']}</td>
						<td class="count-order">
							{if $row['product']['q_order'] eq $row['count']}
							<span>{$row['product']['q_order']}</span>
							{else}
							<span class="reduced">{$row['product']['q_order']}</span>
							{/if}
						</td>
						<td class="price">{$row['product']['price_total']}</td>
					</tr>
				{/foreach}
				</tbody>
				<tfoot>
					<tr>
						<th scope="row" colspan="7">{l s='Total' mod='importorder'}</th>
						<td class="price">{$price_all}</td>
					</tr>
				</tfoot>
			</table>
			<div class="submit-panel">
				<p>
					<a href="{$form_url}?importorder_cancel=1" class="button button-reset">{l s='Cancel' mod='importorder'}</a>
					<input type="submit" name="importorder_listing_submit" value="{l s='Add to cart' mod='importorder'}" class="button button-submit"/>
				</p>
			</div>
		</form>
	</div>
	{/if}
	{if $listing_cancelled}
	<div class="listing">
		<h3>{l s='Importing of order was cancelled…' mod='importorder'}</h3>
	</div>
	{/if}
</div>
<!-- /[Quick Order]: column block -->
